BPF_PROG_CREATE(9)

NAME
bpf_prog_create - create an unattached filter

SYNOPSIS

int bpf_prog_create(struct bpf_prog ** pfp, struct sock_fprog_kern * fprog);

ARGUMENTS

pfp
    the unattached filter that is created

fprog
    the filter program

DESCRIPTION

Create a filter independent of any socket. We first run some sanity checks on it to make sure it does not explode on us later. If an error occurs or there is insufficient memory for the filter a negative errno code is returned. On success the return is zero.

COPYRIGHT